before_script:
  - nikola build

test_deploy:
  script:
    - mkdir -p ~/.ssh && ssh-keyscan kwant-project.org >> ~/.ssh/known_hosts
    - echo $TEST_WEBSITE_KEY > deploy_key && sed -i 's/\r /\n/g' deploy_key && chmod 600 deploy_key
    - nikola deploy
  allow_failure: true
